Skip to main content
POST
Bulk CreditNote(Refund Invoice) Invoice List

Endpoint Overview

POST https://api.unibee.dev/merchant/invoice/credit_note/list Bulk credit note invoice list

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Bulk credit note invoice list

count
integer<int>

Count By Page

createTimeEnd
integer<int64>

CreateTimeEnd,UTC timestamp,seconds

createTimeStart
integer<int64>

CreateTimeStart,UTC timestamp,seconds

currency
string<string>

The currency of invoice

emails
string<string>

The email list of invoice user, split by commas or semicolons

file
file

Email CSV File To Search

gatewayIds
integer<int64>[]

GatewayIds, Search Filter GatewayIds

page
integer<int>

Page, Start 0

planIds
integer<int64>[]

PlanIds, Search Filter PlanIds

planTagFilter
object
searchKey
string<string>

The search key of invoice

sortField
string<string>

Filter,em. invoice_id|gmt_create|gmt_modify|period_end|total_amount,Default gmt_modify

sortType
string<string>

Sort,asc|desc,Default desc

status
integer<int>[]

The status of invoice, 2-processing|3-paid | 4-failed | 5-cancelled

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>